asVector {splines} | R Documentation

## Coerce an Object to a Vector

### Description

This is a generic function. Methods for this function coerce objects of given classes to vectors.

### Usage

    asVector(object)

### Arguments

`object` | An object.

### Value

a vector

### Author(s)

Douglas Bates and Bill Venables

### See Also

`xyVector`

### Examples

    library( splines )
    data( women )
    ispl <- interpSpline( weight ~ height,  women )
    pred <- predict(ispl)
    class(pred)
    str(pred)
    asVector(pred)

[Package Contents]